Skip to main content

Get user wallets

GET https://wallet.paysera.com/rest/v1/user/{userId}/wallets

Get all wallets belonging to the user

Required Scopes​

  • WALLET_LIST

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
userIdstring✓User identifier

Query Parameters​

NameTypeRequiredDescription
inactive_includedbooleanInclude inactive wallets

Example​

Request​

GET https://wallet.paysera.com/rest/v1/user/{userId}/wallets?inactive_included=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Query Parameters
inactive_included
Include inactive wallets

RESPONSE

Wallets retrieved
{
"id": 1234567,
"owner": 123,
"account": {
"number": "EVP1234567890",
"user_id": "1234567",
"owner_type": "natural",
"owner_title": "John Doe",
"owner_display_name": "John Doe1",
"description": "My personal account",
"type": "local",
"ibans": [
"LT123456791011121314"
],
"flags": {
"savings": false,
"public": false
},
"status": "active"
}
}